* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;

}
/* HTMLとBODYの初期リセット */
html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden; /* 横方向の隙間を防止 */
    font-family: "Noto Sans JP", serif;
    font-style: normal;
    scroll-behavior: smooth;
}
  
  /* ファーストビューやセクションに設定されている余計な幅をリセット */
  .fv, .section {
    margin: 0;
    padding: 0;
    box-sizing: border-box; /* 境界を含めてサイズを計算 */
    width: 100%; /* 横幅を100%に設定 */
  }

  .pc-only {
    display: block !important;
}
.tab-only {
    display: none !important;
}
.mbSp-only {
    display: none !important;
}
.pc-tab-only {
    display: block !important;
  }
  .tab-sp-only {
    display: none !important;
}
.sp-only {
    display: none !important;
}

.pc-br,
.pcSp-br {
    display: block;
}
.tab-br,
.sp-br,
.tabSp-br {
    display: none;
}

.no-dot {
    list-style: none;
    padding-left: 0; /* 必要に応じて余白調整 */
  }

  @media (max-width:1200px) {
    .pc-only {
        display: none !important;
    }
    .tab-only {
        display: block !important;
    }
    .mbSp-only {
        display: none !important;
    }
    .tab-sp-only {
        display: block !important;
    }
    .pcSp-br {
        display: none;
    }
    .tabSp-br {
        display: block;
    }
    .tab-br {
        display: block !important;
    }
    .sp-br {
        display: none !important;
    }
    .pc-tab-only {
        display: block !important;
      }
      .sp-only {
        display: none !important;
      }
}
@media (max-width:768px) {
    .pc-only {
        display: none !important;
    }
    .mbSp-only {
        display: block !important;
    }
    .tab-only {
        display: none !important;
    }
    .pc-tab-only {
        display: none !important;
    }
    .tab-sp-only {
        display: block !important;
    }
    .pcSp-br {
        display: block !important;
    }
    .tab-br {
        display: none !important;
    }
    .pc-br {
        display: none !important;
    }
    .sp-only {
        display: block !important;
      }
    .tab-br {
        display: none !important;
    }
    .sp-br {
        display: block !important;
    }
    
}

h1 {
    font-size: 50px;
}

h2 {
    font-size: 42px;
}

h3 {
    font-size: 25px;
}

h4 {
    font-size: 22px;
}

p {
    font-size: 18px;
}

/* Apply font weight classes */
.font-normal {
    font-weight: 400;
}

.font-medium {
    font-weight: 500;
}

.font-bold {
    font-weight: 700;
}

/* スクロールしたらふわっと出てくるアニメーション */
.animate1 {
    opacity: 0; /* 初期状態は非表示 */
    transform: translateY(50px); /* 下に50pxずらす */
    transition: opacity 0.8s ease, transform 0.8s ease; /* なめらかに変化 */
}

.on1 {
    opacity: 1; /* 表示 */
    transform: translateY(0); /* 元の位置に戻す */
}

.animate2 {
    opacity: 0; /* 初期状態は非表示 */
    transform: translateX(-50px); /* 右に50pxずらす */
    transition: opacity 0.8s ease, transform 0.8s ease; /* なめらかに変化 */
}

.on2 {
    opacity: 1; /* 表示 */
    transform: translateX(0); /* 元の位置に戻す */
}

.animate3 {
    opacity: 0; /* 初期状態は非表示 */
    transform: translateX(50px); /* 左に50pxずらす */
    transition: opacity 0.8s ease, transform 0.8s ease; /* なめらかに変化 */
}

.on3 {
    opacity: 1; /* 表示 */
    transform: translateX(0); /* 元の位置に戻す */
}

/* くるっと回るアニメーション */
.slide-up-down {
    position: relative;
    overflow: hidden;
}

.slide-up-down-text {
    position: relative;
    text-align: center;
    font-family: "Noto Sans JP";
    font-style: normal;
    font-weight: 500;
    line-height: 1.4375rem;
    letter-spacing: 0.0325rem;
    text-decoration: none;
    text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.16);
    white-space: nowrap;
    display: flex;
    justify-content: center;
    transition: .3s ease;
}

.contact-button .slide-up-down-text {
    font-size: 0.8125rem;
}

.slide-up-down:hover .slide-up-down-text {
    animation: slideUpDown 0.65s cubic-bezier(0.46,0.03,0.52,0.96);
    }

@keyframes slideUpDown {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    49% {
        transform: translateY(-100%);
        opacity: 0;
    }
    50% {
        transform: translateY(100%);
        opacity: 0;
    }
    51% {
        transform: translateY(100%);
        opacity: 1;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}


/* 申し込みフォーム＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */

#seminar-info .contact-form {
    display: block;
    width: 100% !important;
    padding: 0;
    margin: 2.5rem 5vw 5rem !important;
    max-width: 1080px !important;
}
.form-title {
    font-size: 1.5rem;
    color: #00547D;
    background-color: #f0f4f9;
    padding: 1rem;
    margin-bottom: 1.5rem;
}

.form-description {
    margin-bottom: 2rem;
}

.form-group {
    margin-bottom: 1.5rem;
    display: grid;
    grid-template-columns: 215px 1fr;
    column-gap: 1rem;
}

.form-group label {
    display: flex;
    align-items: flex-start;
    gap: 0.5rem;
    height: 100%;
    align-self: center;
}
.form-group .input-container {
    flex: 1;
}

.form-group .input-container.select {
	position: relative;
	cursor: pointer;
}
.form-group .input-container.select::after {
  content: '';
position: absolute;
    right: 2%;
    top: 40%;
	transform: translateY(-50%);
	 display: inline-block;
vertical-align: middle;
  color: #707070;
  line-height: 1;
  width: .5em;
  height: .5em;
  border: 0.1em solid currentColor;
  border-left: 0;
  border-bottom: 0;
  box-sizing: border-box;
  transform: translateY(-25%) rotate(135deg);
}

.required-badge {
    background-color: #00547D;
    color: white;
    padding: 0.25rem 0.5rem;
    display: inline-flex;
    align-items: center;
    font-family: "Noto Sans JP";
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border-radius: 0.1875rem;
    white-space: nowrap;
}

.optional-badge {
    color: #00547D;
    padding: 0.25rem 0.5rem;
    border: 1px solid #2B5783;
    padding: 0.25rem 0.5rem;
    display: inline-flex;
    align-items: center;
    font-family: "Noto Sans JP";
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border-radius: 0.1875rem;
}



input[type="text"],
input[type="email"],
input[type="tel"],
textarea[type="text"],
textarea,
select{
    width: 100%;
	height: 48px;
    padding: 0.75rem;
    border: 1px solid #CCCCCC;
    color: #000;
    font-family: "Noto Sans JP";
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

select {
	cursor: pointer;
}

input[type="text"]::placeholder,
input[type="email"]::placeholder,
input[type="tel"]::placeholder,
textarea::placeholder {
    color: #D8D8D8;

}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
textarea:focus,
select:focus{
    outline: none;
    border-color: #00547D;
}
input,
textarea,
select{
  background-color: #fff; /* 常に白をベースに */
}


  input:focus {
    background-color: #eef4ff ;
  }

/* バリデーションNGでも背景は白に戻す */
.wpcf7-not-valid {
    background-color: #fff !important;
    border-color: #dc3545; /* お好みで赤枠とか */
  }
  
  /* フォーカス中は青く */
  .wpcf7-not-valid:focus,
  .wpcf7-form-control:focus {
    background-color: #eef4ff !important;
    border-color: #00547D;
    outline: none;
  }

  
textarea {
    resize: vertical;
    min-height: 18.0625rem;
}

.phone-input {
    display: flex;
    gap: 0.5rem;
    align-items: center;
    width: 100%;
}

.phone-input input {
    flex: 1;
    max-width: 5rem;
}

.separator {
    color: #333333;
    flex-shrink: 0;
}

.note {
    margin-top: 0.5rem;
    color: #000;
    font-family: "Noto Sans JP";
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.privacy-section {
    margin: 2rem 0;
/*     grid-column: 1 / -1; */
}

/* プライバシポリシーチェックのレイアウト */
.consent-group .wpcf7-list-item label, .wpcf7-checkbox label{
    height: auto;
}

#contactForm .privacy-section {
    margin-top: 0rem;
}

.privacy-link {
    color: #00547D;
    text-decoration: none;
}

.privacy-link:hover {
    text-decoration: underline;
}

.consent-group {
    margin-bottom: 2rem;
    grid-column: 1 / -1;
}

#contactForm .consent-group {
    margin-bottom: 0;
}
.checkbox-container {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    cursor: pointer;
}
.form-buttons {
    display: flex;
    justify-content: center;
    gap: 3.13rem;
    margin-top: 6.25rem;
}
.form-submit {
    display: flex;
    justify-content: center;
    margin-bottom: 8.75rem;
}
.submit-button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 3.5rem;
    background-color: #00547D;
    color: white;
    text-decoration: none;
    border-radius: 1.875rem 1.90625rem 1.875rem 1.875rem;
    transition: background-color 0.3s ease;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1;
    margin-top: 0;
    padding: 1.1rem 5.44rem 1.1rem 5.44rem;
}
.submit-button-wrapper {
    position: relative;
    width: fit-content;
}

.submit-button-wrapper::after {
    position: absolute;
    z-index: 1;
    top: 74%;
    right: 41%;
    content: "→";
    margin-left: 8px;
    font-size: 1rem;
    color: white;
}
#contactForm .submit-button-wrapper::after {
    right: 12%;
    top: 30%;
}
.confirm_area .back-button-wrapper::before {
    top: 18px;
    left: 12%;
}
.confirm_area .back-button {
    padding: 1.1rem 6.2rem 1.1rem 4.58rem;
}

.confirm_area .submit-button-wrapper::after {
    top: 30%;
    right: 12%;
}
.confirm_area .submit-button {
    padding: 1.1rem 6.2rem 1.1rem 4.58rem;
}

.wpcf7-form-control.wpcf7-submit.has-spinner.submit-button::after {
    position: absolute;
    top: 50;
    right: 1.58rem;
    content: "→";
    margin-left: 8px;
    font-size: 1rem;
}

@media (hover: hover) and (pointer: fine) {
.wpcf7-form-control.wpcf7-submit.has-spinner.submit-button:hover,
.submit-button.confirm_button:hover {
    opacity: .5;
    transition: opacity 0.3s ease;
}

}
.back-button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 3.5rem;
    background-color: transparent;
    color: #00547D;
    text-decoration: none;
    border-radius: 1.875rem 1.90625rem 1.875rem 1.875rem;
    transition: opacity 0.3s ease;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1;
    padding: 1.1rem 3.44rem 1.1rem 4.58rem;
    border: 1px solid #00547D;
    width: 18rem;
    text-align: end;
}

.back-button-wrapper {
    position: relative;
    width: fit-content;
    transition: 0.3s ease;
}
.back-button-wrapper::before {
    position: absolute;
    top: 25;
    left: 1.58rem;
    content: "←";
    margin-right: 8px;
    font-size: 1rem;
    color: #00547D;
}

@media (hover: hover) and (pointer: fine) {
.back-button-wrapper:hover {
    opacity: .5;
}
}

.top-button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 3.5rem;
    background-color: #00547D;
    color: white;
    text-decoration: none;
    border-radius: 1.875rem 1.90625rem 1.875rem 1.875rem;
    transition: background-color 0.3s ease;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1;
    padding: 1.1rem 6.5rem 1.1rem 6.56rem;
}

.view-all-button.top-button {
    width: auto;
}


.top-button::before {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 1.58rem;
    content: "←";
    margin-right: 8px;
    font-size: 1rem;
}

@media (hover: hover) and (pointer: fine) {
.top-button:hover {
    opacity: .5;
}
}

#contact .submit-button {
    margin-top: 0 !important;
}

#confirm-section .submit-button {
    margin-top: 0;
}

.submit-button:hover {
    opacity: 0.9;
}

@media (max-width: 768px) {
    .form-group {
        margin-bottom: 1.5rem;
        display: grid;
        grid-template-columns:1fr;
        row-gap: 1rem;
    }
    #contact .submit-button {
        margin-top: 2rem;
        width: 100%;
    }
}    

/* ラジオボタン & チェックボックス＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
.wpcf7-form-control.wpcf7-radio,
.radio-group {
    display: flex;
    flex-direction: column;
    gap: 1rem;
	width: 100%;
}
.radio-group-second {
    flex-direction: row;
}

.wpcf7-list-item label,
.wpcf7-checkbox label{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    cursor: pointer;
    width: auto !important;
	position:relative;
}

.wpcf7-checkbox label {
	padding-left:2rem;
}

.wpcf7-list-item label::before{
	content: "";
    width: 1.25rem;
    height: 1.25rem;
    margin: 0;
    accent-color: #00547D;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 2px solid #CCCCCC;
    border-radius: 50%;
    outline: none;
    position: relative;
  }

.wpcf7-checkbox label::before {
	content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 1.2rem;
    height: 1.2rem;
    border: 2px solid #CCC;
    border-radius: .2rem;
    background-color: #fff;
    box-sizing: border-box;
    cursor: pointer;
    transition: border-color 0.3s;
}

.wpcf7-form-control .wpcf7-checkbox {
    position: absolute;
}

.wpcf7-radio input[type="radio"]:checked  {
    border-color: #00547D;
    background-color: white;
  }

.wpcf7-radio input[type="radio"]:checked + span::after{
    content: '';
    position: absolute;
    top: 50%;
    left:0.3rem;
    transform: translateY( -50%);
    width: 0.625rem;
    height: 0.625rem;
    background-color: #00547D;
    border-radius: 50%;
}


.wpcf7-checkbox input[type="checkbox"]:checked + span::after {
	content: '';
    position: absolute;
    top: 50%;
    left: 0.3rem;
    transform: translateY(-50%) rotate(-45deg);
    width: 10px;
    height: 6px;
    border-left: 2.8px solid #00547D;
    border-bottom: 2.8px solid #00547D;
}

.radio-text {
    font-size: 1rem;
    color: #333;
}



/* contact form 7のメッセージ非表示 */
/* エラーなどを確認したい場合は下記を非表示にすれば確認できる */
.wpcf7-response-output {
    display: none;
}
/* spinerの非表示 */
.wpcf7-spinner {
    display: none!important;
}

/* letter-spacingで起こる最後の文字の余白を消す */
.no-spacing {
    letter-spacing: 0;
}

.marker {
    background-color: #FFF3E5;;
}

#contact .submit-button:focus {
    background-color: #00547D !important;
    opacity: 0.5 !important;
}
#contact .back-button:focus {
    background-color: #00547D !important;
    opacity: 0.5 !important;
}